[MEGOLDVA]nagy a baj , ati driver + etch

 ( iwanabeguru | 2007. május 31., csütörtök - 15:38 )

hi all
forditottam 2.6.21.1 es kernelt majd miutan bebotoltam gondoltam telepitem az ati drivert , az ati honlapjarol szedtem 8.35.5 os.
Elindtom a telepitot , grafikus mod , eddig mindig jo volt, de most ezt a hibat irta a terminalba.

loki_setup: 2 Unable to find file 'install/usr/X11R6/lib/modules/dri/atiogl_a_dri.so' in '/root/ati_drivers/fglrx-install.yfqGT2'
Removing temporary directory: fglrx-install.yfqGT2

es emiatt nem is telepul rendesen a driver. Nem is megy.
Gondoltam akkor inditom a regi kernelt azon meg jo.
Bebootoltam es nem volt glx meg 3d nezem fglrx modul nincs betoltve , toltenem de nem talaja , na itt mar gyanus volt.

Megprobaltam ujra tenni de szinten nem sikerult. Most az xorgban levo radeon driverrel megy.

Azt a retkes filet hol talalom hogy rendesen le tudjon fordulni a driver?

Miden segitseget koszonok.

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Debianban van linux-source-2.6.18

(kernel forrás).

Van
fglrx-driver csomag amiben gondolom az fglrx Xorg-alatt meghajtóprogramja (8.28).
meg van fglrx-kernel-src, amiben a hozzá való kernel modul (8.28) forrása.

Szerintem fordítsd le a 2.6.18as debian kernelt / vagy akár 2.6.21-es is jó ha mindenképpen ragaszkocc hozzá / (make-kpkg .... kernel_image), tedd fel az elékészült linux_image*deb csomagot.

majd make-kpkg modules_image-vel készítsd el hozzá a fglrx deb csomagot, azt is tedd fel. (ehhez a fglrx-kernel-src-t kell feltenni, gondolom egy tar.gz-t tesz a /usr/src/-be, azt ki kell csomagolni, bepakolja a /usr/src/modules-be... És make-kpkg modules_image el is fogja készíteni a kernelhez való fglrx-modul csomagot.

Meg tedd fel a fglrx-driver csomagot.

Gondolom az a gond, hogy a 8.35.5ös kernelmodul és a 8.28-as Xorg Ati driver együtt nem igazán műxik. de mindezek csak látatlanban tippek. itten nvidia van. de az kb. fenti elveken műxik. és ahogy látom ati alatt is hasonló a megfejtés. persze nekem nincs Atim, úgyhogy lehet hülyeséget pofázok. :)))

----------

Nem a zsömle kicsi, a pofátok nagy...

module-assistant segitsegevel konnyebb megcsinalni a modult, mint igy kezzel.

Hi koszi a valaszt
Megprobaltam egy 8.31.5 otos drivert is feltenni de nem ismerte az xorg 7.1 et.
Csak azt tudnam hogy honnan a fraszbol szerezzem be azt a filet.

Hi all
Megoldodott a problema megtalaltam a csomagot amiben a file benne van
"fglrx-driver" a csomag neve. Fel kell tenni es akkor barmelyik proprietary ati driver fel megy.